#!/usr/bin/env bash

# Install Web Server

# If we haven't read functions.sh by now, then read it
if [ "x$ZTFUNCTIONS" = "x" ]; then
  if [ -f lib/functions.sh ]; then
    . lib/functions.sh
  elif [ -f ../lib/functions.sh ]; then
    cd ..
    . lib/functions.sh
  else
    echo 'Sorry, I need to be able to source functions.sh first.'
    echo Exiting...
    exit 1
  fi
fi

shout
shout =================================================================
shout
shout Install web server
shout
shout =================================================================
shout

shout 'Installing Apache 2.4 and curl'
pause
# This var stops pkg prompting to install itself.
export ASSUME_ALWAYS_YES=yes
pkg update
pkg install --yes curl apache24

shout 'Enabling Apache on next boot'
pause
sysrc apache24_enable=YES


exit 0

